> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /kununu/companies

> Get Kununu (kununu.com) company employer profile by alias or profile URL

**Price:** 10 credits

**⚠️ Common errors:** 412: Company not found



## OpenAPI

````yaml /openapi/reviews-software-employer.json post /api/kununu/companies
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/kununu/companies:
    post:
      tags:
        - /kununu
      summary: /kununu/companies
      description: |-
        Get Kununu (kununu.com) company employer profile by alias or profile URL

        **Price:** 10 credits

        **⚠️ Common errors:** 412: Company not found
      operationId: __api_kununu_companies_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KununuCompaniesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/KununuCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    KununuCompaniesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        company:
          type: string
          minLength: 1
          pattern: ^(?:https?://[^\s]+|[A-Za-z0-9][A-Za-z0-9._-]*)$
        country:
          $ref: '#/components/schemas/KununuCountry'
          default: de
      type: object
      required:
        - company
    KununuCompany:
      properties:
        '@type':
          type: string
          default: KununuCompany
        uuid:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          type: string
        name:
          type: string
        url:
          type: string
        website:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        industry_id:
          anyOf:
            - type: integer
            - type: 'null'
        industry_average_score:
          anyOf:
            - type: number
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        score:
          anyOf:
            - type: number
            - type: 'null'
        rounded_score:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        review_count_employees:
          anyOf:
            - type: integer
            - type: 'null'
        review_count_candidates:
          anyOf:
            - type: integer
            - type: 'null'
        culture_review_count:
          anyOf:
            - type: integer
            - type: 'null'
        salary_count:
          anyOf:
            - type: integer
            - type: 'null'
        salary_ranges_count:
          anyOf:
            - type: integer
            - type: 'null'
        follower_count:
          anyOf:
            - type: integer
            - type: 'null'
        location_count:
          anyOf:
            - type: integer
            - type: 'null'
        first_review_year:
          anyOf:
            - type: integer
            - type: 'null'
        is_claimed:
          anyOf:
            - type: boolean
            - type: 'null'
        is_verified:
          anyOf:
            - type: boolean
            - type: 'null'
        employer_segment:
          anyOf:
            - type: string
            - type: 'null'
        main_location:
          anyOf:
            - $ref: '#/components/schemas/KununuCompanyLocation'
            - type: 'null'
        recommendation_rate:
          anyOf:
            - $ref: '#/components/schemas/KununuRecommendationRate'
            - type: 'null'
        score_trend:
          anyOf:
            - $ref: '#/components/schemas/KununuScoreTrend'
            - type: 'null'
        salary_satisfaction:
          anyOf:
            - $ref: '#/components/schemas/KununuSalarySatisfaction'
            - type: 'null'
        social_media:
          anyOf:
            - $ref: '#/components/schemas/KununuSocialMedia'
            - type: 'null'
        culture_dimensions:
          items:
            $ref: '#/components/schemas/KununuCultureDimension'
          type: array
          default: []
        benefits:
          items:
            $ref: '#/components/schemas/KununuBenefit'
          type: array
          default: []
        score_breakdown:
          items:
            $ref: '#/components/schemas/KununuScoreBreakdown'
          type: array
          default: []
        salary_ranges:
          items:
            $ref: '#/components/schemas/KununuSalaryRange'
          type: array
          default: []
        awards:
          items:
            $ref: '#/components/schemas/KununuAward'
          type: array
          default: []
        competitors:
          items:
            $ref: '#/components/schemas/KununuCompetitor'
          type: array
          default: []
      type: object
      required:
        - alias
        - name
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    KununuCountry:
      type: string
      enum:
        - de
        - at
        - ch
    KununuCompanyLocation:
      properties:
        '@type':
          type: string
          default: KununuCompanyLocation
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    KununuRecommendationRate:
      properties:
        '@type':
          type: string
          default: KununuRecommendationRate
        percentage:
          anyOf:
            - type: integer
            - type: 'null'
        total_reviews:
          anyOf:
            - type: integer
            - type: 'null'
        recommended:
          anyOf:
            - type: integer
            - type: 'null'
        not_recommended:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    KununuScoreTrend:
      properties:
        '@type':
          type: string
          default: KununuScoreTrend
        newer_than_24_months:
          anyOf:
            - type: number
            - type: 'null'
        older_than_24_months:
          anyOf:
            - type: number
            - type: 'null'
        delta:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    KununuSalarySatisfaction:
      properties:
        '@type':
          type: string
          default: KununuSalarySatisfaction
        positive_percentage:
          anyOf:
            - type: integer
            - type: 'null'
        neutral_percentage:
          anyOf:
            - type: integer
            - type: 'null'
        negative_percentage:
          anyOf:
            - type: integer
            - type: 'null'
        total_reviews:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    KununuSocialMedia:
      properties:
        '@type':
          type: string
          default: KununuSocialMedia
        facebook:
          anyOf:
            - type: string
            - type: 'null'
        twitter:
          anyOf:
            - type: string
            - type: 'null'
        youtube:
          anyOf:
            - type: string
            - type: 'null'
        instagram:
          anyOf:
            - type: string
            - type: 'null'
        xing:
          anyOf:
            - type: string
            - type: 'null'
        linkedin:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    KununuCultureDimension:
      properties:
        '@type':
          type: string
          default: KununuCultureDimension
        name:
          type: string
        profile:
          anyOf:
            - type: integer
            - type: 'null'
        industry:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - name
    KununuBenefit:
      properties:
        '@type':
          type: string
          default: KununuBenefit
        id:
          type: string
        total:
          anyOf:
            - type: integer
            - type: 'null'
        percentage:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    KununuScoreBreakdown:
      properties:
        '@type':
          type: string
          default: KununuScoreBreakdown
        id:
          type: string
        score:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        factors:
          items:
            $ref: '#/components/schemas/KununuScoreFactor'
          type: array
          default: []
      type: object
      required:
        - id
    KununuSalaryRange:
      properties:
        '@type':
          type: string
          default: KununuSalaryRange
        job_role_title:
          type: string
        job_role_title_slug:
          anyOf:
            - type: string
            - type: 'null'
        range_min:
          anyOf:
            - type: integer
            - type: 'null'
        range_max:
          anyOf:
            - type: integer
            - type: 'null'
        median:
          anyOf:
            - type: integer
            - type: 'null'
        average:
          anyOf:
            - type: integer
            - type: 'null'
        entry_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - job_role_title
    KununuAward:
      properties:
        '@type':
          type: string
          default: KununuAward
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        detail_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    KununuCompetitor:
      properties:
        '@type':
          type: string
          default: KununuCompetitor
        uuid:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        score:
          anyOf:
            - type: number
            - type: 'null'
        industry_id:
          anyOf:
            - type: integer
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        is_verified:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    KununuScoreFactor:
      properties:
        '@type':
          type: string
          default: KununuScoreFactor
        id:
          type: string
        score:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````